Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
b2QueryCallback Class Referenceabstract

`#include <b2WorldCallbacks.h>`

## Public Member Functions
virtual bool | ReportFixture (b2Fixture *fixture)=0

## Detailed Description

Callback class for AABB queries. See b2World::Query

## Member Function Documentation

virtual bool b2QueryCallback::ReportFixture | ( | b2Fixture * | fixture | ) |
| pure virtual

Called for each fixture found in the query AABB.

Returns
  false to terminate the query.

The documentation for this class was generated from the following file:

- b2WorldCallbacks.h